> For the complete documentation index, see [llms.txt](https://developer.ecall-messaging.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ecall-messaging.com/api-references/smpp/receiving-messages.md).

# Receiving messages

### `deliver_sm`

Use `deliver_sm` to receive delivery receipts and inbound SMS.

### Delivery receipts

If you request delivery receipts in `submit_sm`, eCall forwards them through `deliver_sm`.

For delivery receipts, `esm_class` is `0x04`.

### Inbound SMS

If you configure inbound SMS forwarding in the eCall portal, eCall forwards received messages through `deliver_sm`.

This applies to leased receive numbers.

For inbound SMS, `esm_class` is `0x00` or `0x40`.

{% hint style="info" %}
Use `bind_transceiver` when you want to send messages and receive callbacks on one session.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ecall-messaging.com/api-references/smpp/receiving-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
